<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>async await homework</title>
</head>
<body>
    <button onclick="getip()">Вычислить по IP</button>
    <div class="root">
    </div>
    <script>
        async function getip() {
            const root = document.querySelector(".root");
            root.textContent = "";
            const response = await fetch(`https://api.ipify.org/?format=json`);
            const data = await response.json();
            console.log(data)
            const responseIP = await fetch(`http://ip-api.com/json/${data.ip}`);
            const dataIP = await responseIP.json();
            console.log(dataIP);
            root.insertAdjacentHTML("afterbegin",
             `
             <p>Ваш IP:${dataIP.query}</p>        
             <p>Страна:${dataIP.country}</p>
             <p>Область:${dataIP.regionName}</p>
             <p>Город:${dataIP.city}</p>        
             `)
        }
    </script>
</body>
</html>